package com.heyu.api.data.dao.vv;
/**
* <p>
* 配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-04
*/
import com.heyu.api.data.entity.vv.VvScrollConfigEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvScrollConfigDao extends BaseMapper<VvScrollConfigEntity> {


	VvScrollConfigEntity selectVvScrollConfigById(@Param("id")Long id);


	Long insertVvScrollConfig(VvScrollConfigEntity vvScrollConfig);


	Long insertOrUpdateVvScrollConfig(VvScrollConfigEntity vvScrollConfig);


	int updateVvScrollConfigById(VvScrollConfigEntity vvScrollConfig);


	int updateCoverVvScrollConfigById(VvScrollConfigEntity vvScrollConfig);


	int deleteVvScrollConfigById(@Param("id")Long id);


    List<VvScrollConfigEntity> selectVvScrollConfigAll();
}